<main>

  <div class="register-user-section container">

    <!-- login section header -->


    <div class="main-title">
      <h1>Modifier mon mot de passe</h1>
    </div>

    <form [formGroup]="updateForm" (ngSubmit)="onSubmit()" class="register-user-form">
      <div class="row">

        <div class="col-md-6 col-xs-12">
          <div class="form-group">
            <label for="">Mot de passe</label>
            <input type="password" name="password" formControlName="password" required="required" placeholder="Mot de passe" class="form-control">
            <p class="help-block">
              Au moins 6 caractéres, avec une majuscule, une minuscule et un chiffre
            </p>
          </div>
          <div *ngIf="submitted && registerForm.controls.password.errors">
            <p *ngIf="registerForm.controls.password.errors.required">Password Invalid</p>
          </div>
        </div>
        <div class="col-md-6 col-xs-12">
          <div class="form-group">
            <label for="">Confirmation mot de passe</label>
            <input type="password" name="confirmpassword" formControlName="confirmpassword" required="required" placeholder="Confirmez votre mot de passe"
              class="form-control">
          </div>
          <div *ngIf="submitted && registerForm.controls.confirmpassword.errors">
            <p *ngIf="registerForm.controls.confirmpassword.errors.required">Confirm password Invalid</p>
          </div>
        </div>

      </div>
      <button type="submit" class="btn btn-rounded btn-green">
        Modifier
      </button>
      <button routerLink="/dashboard" routerLinkActive="active" type="button" class="btn btn-rounded btn-blue">
        Annuler
      </button>
      <div *ngIf="submitted">
        <p>le formulaire est valide</p>
      </div>
    </form>

  </div>

</main>